%define anolis_release  1
%global provider        github
%global provider_tld    com
%global project         containerd
%global repo            nerdctl
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global debug_package   %{nil}

Name:           nerdctl
Version:        1.7.2
Release:        %{anolis_release}%{?dist}
Summary:        Docker-compatible CLI for containerd
License:        Apache-2.0
URL:            https://github.com/containerd/nerdctl
Source0:        https://github.com/containerd/%{name}/archive/refs/tags/v%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang >= 1.20
Requires:       containerd
Requires:       slirp4netns >= 0.4.0
Requires:       containernetworking-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

ExcludeArch: loongarch64

%description
nerdctl is a Docker-compatible CLI for containerd.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%setup -qa1

%build
CGO_ENABLED=0
go build -mod=vendor -ldflags "-X 'github.com/containerd/nerdctl/pkg/version.Version=v%{version}'" -buildmode=pie -o _output/nerdctl %{provider_prefix}/cmd/nerdctl

%install
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 _output/nerdctl %{buildroot}%{_bindir}/nerdctl
install -m 0755 extras/rootless/containerd-rootless-setuptool.sh %{buildroot}%{_bindir}/containerd-rootless-setuptool.sh
install -m 0755 extras/rootless/containerd-rootless.sh %{buildroot}%{_bindir}/containerd-rootless.sh

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{_bindir}/nerdctl
%{abidir}/nerdctl-option.list
%{_bindir}/containerd-rootless-setuptool.sh
%{abidir}/containerd-rootless-setuptool.sh-option.list
%{_bindir}/containerd-rootless.sh

%files doc
%doc docs/*.md

%changelog
* Wed Dec 27 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.7.2-1
- Update nerdctl to 1.7.2

* Wed Apr 5 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.2.1-1
- Update nerdctl to 1.2.1

* Tue Sep 20 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.23.0-1
- Update nerdctl to 0.23.0

* Fri Jul 29 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.22.0-4
- Replace cni-plugins with containernetworking-plugins

* Thu Jul 28 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.22.0-3
- Add back cni-plugins as dependency as we have this package now

* Thu Jul 28 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.22.0-2
- Fixed error of failed dependencies

* Tue Jul 26 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.22.0-1
- Init nerdctl for Anolis OS
